Texa Desk Application API · Help center
Update a portal
PATCH/
Update a portal to account
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
idstringrequiredThe slug identifier of the portal
account_idintegerrequiredThe numeric ID of the account
idstringrequiredThe slug identifier of the portal
Body application/json
colorstringHeader color for help-center in hex format
custom_domainstringCustom domain to display help center.
header_textstringHelp center header
homepage_linkstringlink to main dashboard
namestringName for the portal
page_titlestringPage title for the portal
slugstringSlug for the portal to display in link
archivedbooleanStatus to check if portal is live
configobjectConfiguration about supporting locales
Responses
200Success
payloadobjectpayload.idintegerThe ID of the portal
payload.archivedbooleanWhether the portal is archived
payload.colorstringThe color code for the portal
payload.configobjectConfiguration settings for the portal
payload.config.allowed_localesarray of objectList of allowed locales for the portal
payload.custom_domainstringCustom domain for the portal
payload.header_textstringThe header text for the portal
payload.homepage_linkstringHomepage link for the portal
payload.namestringName of the portal
payload.slugstringURL slug for the portal
payload.page_titlestringPage title for the portal
payload.account_idintegerID of the account the portal belongs to
payload.inboxobjectpayload.inbox.idnumberID of the inbox
payload.inbox.namestringThe name of the inbox
payload.inbox.website_urlstringWebsite URL
payload.inbox.page_idstringFacebook Page ID associated with the inbox
payload.inbox.instagram_idstringInstagram account ID associated with the inbox
payload.inbox.business_idstringTikTok business ID associated with the inbox
payload.inbox.provider_namestringProvider username or page name associated with the social inbox
payload.inbox.profile_idstringX profile ID associated with the inbox
payload.inbox.line_channel_idstringLINE channel ID associated with the inbox
payload.inbox.emailstringEmail address associated with the inbox
payload.inbox.bot_namestringTelegram bot name associated with the inbox
payload.inbox.inbox_identifierstringPublic identifier associated with an API inbox
payload.inbox.channel_typestringThe type of the inbox
payload.inbox.avatar_urlstringThe avatar image of the inbox
payload.inbox.widget_colorstringWidget Color used for customization of the widget
payload.inbox.website_tokenstringWebsite Token
payload.inbox.enable_auto_assignmentbooleanThe flag which shows whether Auto Assignment is enabled or not
payload.inbox.web_widget_scriptstringScript used to load the website widget
payload.inbox.welcome_titlestringWelcome title to be displayed on the widget
payload.inbox.welcome_taglinestringWelcome tagline to be displayed on the widget
payload.inbox.greeting_enabledbooleanThe flag which shows whether greeting is enabled
payload.inbox.greeting_messagestringA greeting message when the user starts the conversation
payload.inbox.channel_idnumberID of the channel this inbox belongs to
payload.inbox.working_hours_enabledbooleanThe flag which shows whether working hours feature is enabled
payload.inbox.enable_email_collectbooleanThe flag to enable collecting email from contacts
payload.inbox.csat_survey_enabledbooleanThe flag to enable CSAT survey
payload.inbox.auto_assignment_configobjectConfiguration settings for auto assignment
payload.inbox.out_of_office_messagestringMessage to show when agents are out of office
payload.inbox.working_hoursarray of objectConfiguration for working hours of the inbox
payload.inbox.timezonestringTimezone configuration for the inbox
payload.inbox.callback_webhook_urlstringWebhook URL for callbacks
payload.inbox.allow_messages_after_resolvedbooleanWhether to allow messages after a conversation is resolved
payload.inbox.lock_to_single_conversationbooleanWhether to lock a contact to a single conversation
payload.inbox.sender_name_typestringType of sender name to display (e.g., friendly)
payload.inbox.business_namestringBusiness name associated with the inbox
payload.inbox.branded_email_layoutstringLiquid HTML layout for branded email replies. Available to administrators for Email inbox show/update responses.
payload.inbox.hmac_mandatorybooleanWhether HMAC verification is mandatory
payload.inbox.selected_feature_flagsarray of stringSelected feature flags for the inbox
payload.inbox.reply_timestringExpected reply time
payload.inbox.messaging_service_sidstringMessaging service SID for SMS providers
payload.inbox.phone_numberstringPhone number associated with the inbox
payload.inbox.mediumstringMedium of communication (e.g., sms, email)
payload.inbox.providerstringProvider of the channel
payload.logoobjectpayload.logo.idintegerID of the logo file
payload.logo.portal_idintegerID of the portal this logo belongs to
payload.logo.file_typestringMIME type of the file
payload.logo.account_idintegerID of the account
payload.logo.file_urlstringURL to access the logo file
payload.logo.blob_idintegerID of the blob
payload.logo.filenamestringName of the file
payload.metaobjectpayload.meta.all_articles_countintegerTotal number of articles
payload.meta.archived_articles_countintegerNumber of archived articles
payload.meta.published_countintegerNumber of published articles
payload.meta.draft_articles_countintegerNumber of draft articles
payload.meta.categories_countintegerNumber of categories
payload.meta.default_localestringDefault locale for the portal
403Access denied
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring404Portal not found
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring